CREATE TABLE users (
    pubkey TEXT PRIMARY KEY,
    username TEXT NOT NULL UNIQUE,
    inserted_at DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    admin BOOLEAN DEFAULT false
);

CREATE INDEX idx_users_pubkey ON users (pubkey);
CREATE INDEX idx_users_username ON users (username);

